com.thinkaurelius.titan.graphdb.types.system

## Class BaseKey

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.types.system.EmptyVertex
  - - com.thinkaurelius.titan.graphdb.types.system.EmptyRelationType
    - - com.thinkaurelius.titan.graphdb.types.system.BaseRelationType
      - - com.thinkaurelius.titan.graphdb.types.system.BaseKey

- All Implemented Interfaces:
    Idfiable, Namifiable, PropertyKey, RelationType, TitanSchemaElement, TitanSchemaType, TitanElement, TitanVertex, InternalElement, InternalRelationType, InternalVertex, SystemRelationType, Removable, com.tinkerpop.blueprints.Element, com.tinkerpop.blueprints.Vertex

      public class BaseKey
      extends BaseRelationType
      implements PropertyKey

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BaseKey` | `SchemaCategory`
    `static BaseKey` | `SchemaDefinitionDesc`
    `static BaseKey` | `SchemaDefinitionProperty`
    `static BaseKey` | `SchemaName`
    `static BaseKey` | `VertexExists`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cardinality` | `getCardinality()` The `Cardinality` of this property key.
    `Class<?>` | `getDataType()` Returns the data type for this property key.
    `Iterable<IndexType>` | `getKeyIndexes()`
    `Multiplicity` | `getMultiplicity()`
    `boolean` | `isEdgeLabel()` Checks if this relation type is an edge label
    `boolean` | `isPropertyKey()` Checks if this relation type is a property key
    `boolean` | `isUnidirected(com.tinkerpop.blueprints.Direction dir)`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.system.BaseRelationType

      `getConsistencyModifier, getLongId, getName, hasId, isHiddenType, setId`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.system.EmptyRelationType

      `getBaseType, getRelationIndexes, getSignature, getSortKey, getSortOrder, getStatus, getTTL, isHidden`

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.types.system.EmptyVertex

      `addEdge, addEdge, addEdge, addProperty, addProperty, addRelation, getAddedRelations, getEdgeCount, getEdges, getEdges, getId, getLabel, getLifeCycle, getProperties, getProperties, getProperties, getProperty, getProperty, getPropertyCount, getPropertyKeys, getRelations, getTitanEdges, getVertexLabel, getVertices, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, isConnected, isLoaded, isModified, isNew, isRemoved, it, loadRelations, query, remove, removeProperty, removeProperty, removeRelation, setProperty, setProperty, tx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanVertex

      `addEdge, addEdge, addProperty, addProperty, getEdgeCount, getEdges, getEdges, getLabel, getProperties, getProperties, getProperties, getPropertyCount, getRelations, getTitanEdges, getVertexLabel, isConnected, isModified, query`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Vertex

      `addEdge, getVertices`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.Namifiable

      `getName`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalRelationType

      `getBaseType, getRelationIndexes, getSignature, getSortKey, getSortOrder, getStatus, getTTL`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalVertex

      `addRelation, getAddedRelations, hasAddedRelations, hasLoadedRelations, hasRemovedRelations, it, loadRelations, query, removeRelation`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.internal.InternalElement

      `getLifeCycle, isHidden, tx`

- - ### Field Detail

    - #### VertexExists

          public static final BaseKey VertexExists

    - #### SchemaName

          public static final BaseKey SchemaName

    - #### SchemaDefinitionProperty

          public static final BaseKey SchemaDefinitionProperty

    - #### SchemaCategory

          public static final BaseKey SchemaCategory

    - #### SchemaDefinitionDesc

          public static final BaseKey SchemaDefinitionDesc

  - ### Method Detail

    - #### getDataType

          public Class<?> getDataType()

      Description copied from interface: `PropertyKey`
      Returns the data type for this property key. The values of all properties of this type must be an instance of this data type.
      Specified by:
        `getDataType` in interface `PropertyKey`
      Returns:
        Data type for this property key.

    - #### isPropertyKey

          public final boolean isPropertyKey()

      Description copied from interface: `RelationType`
      Checks if this relation type is a property key
      Specified by:
        `isPropertyKey` in interface `RelationType`
      Returns:
        true, if this relation type is a property key, else false.
      See Also:
        `PropertyKey`

    - #### isEdgeLabel

          public final boolean isEdgeLabel()

      Description copied from interface: `RelationType`
      Checks if this relation type is an edge label
      Specified by:
        `isEdgeLabel` in interface `RelationType`
      Returns:
        true, if this relation type is a edge label, else false.
      See Also:
        `EdgeLabel`

    - #### getMultiplicity

          public Multiplicity getMultiplicity()

      Specified by:
        `getMultiplicity` in interface `InternalRelationType`

    - #### isUnidirected

          public boolean isUnidirected(com.tinkerpop.blueprints.Direction dir)

      Specified by:
        `isUnidirected` in interface `InternalRelationType`

    - #### getCardinality

          public Cardinality getCardinality()

      Description copied from interface: `PropertyKey`
      The `Cardinality` of this property key.
      Specified by:
        `getCardinality` in interface `PropertyKey`
      Returns:

    - #### getKeyIndexes

          public Iterable<IndexType> getKeyIndexes()

      Specified by:
        `getKeyIndexes` in interface `InternalRelationType`
      Overrides:
        `getKeyIndexes` in class `EmptyRelationType`

Copyright © 2012–2014. All rights reserved.